﻿body {
}

.mapBox {
    height: 90%;
    width: 90%;
    position: fixed;
    top: 50%;
    transform: translate(-50%, -50%);
    left: 50%;
    background: var(--color-BgOrgWhite);
    z-index: 111;
    border-radius: 7px;
}

.mapHeader {
    background-color: var(--color-BgPrimaryBlue) !important;
    display: -webkit-box;
    display: -moz-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    height: 40px;
    width: 100%;
    z-index: 11;
    color: var(--color-TextBlack);
    padding: 8px 0;
    border-top-right-radius: 7px;
    border-top-left-radius: 7px;
    font-size: 15px;
}

.Suggest-edit-headercontent {
    flex-grow: 1;
    min-width: 0;
    padding-left: 15px;
}

.Suggest-title {
    font-size: 17px;
    font-weight: 500;
    color: var(--color-TextOrgWhite);
}

.Suggest-title-txt {
    padding-left: 20px;
}

.popup-common-header-icon {
    background: no-repeat url('../../images/map_spirit_image.png') 0 -25px;
    width: 22px;
    height: 22px;
    float: left;
    font-family: var(--font-6) !important;
    cursor: pointer;
    position: absolute;
    left: 6px;
}

.Suggest-edit-close {
    background-image: url(../../../New_Themes/Images/leftside_circle.png);
    width: 22px;
    height: 22px;
    color: var(--color-TextOrgWhite);
    cursor: pointer;
    z-index: 1;
    text-align: center;
    margin: 0px 1px 0px 1px;
    padding-top: 1px;
    position: absolute;
    right: 10px;
}

.editcontent {
    max-height: calc(85vh - 81px - 68px);
    width: 100%;
    background: var(--color-BgOrgWhite);
    min-height: 140px;
    overflow: visible;
}

.popup-common-content {
    height: 695px;
}

.gmap-location-container {
    height: 100%;
    margin-bottom: 10px;
}

.widget-minimap-shim-button {
    background-color: var(--color-BgTertiaryGray);
    bottom: 112px;
    border-radius: 2px;
    border: 2px solid var(--color-BodOrgWhite);
    box-shadow: 0px 1px 4px var(--color-ShadowBlack);
    height: 75px;
    left: 15px;
    opacity: 1;
    position: relative;
    -webkit-transform: translateZ(0);
    transform: none !important;
    transition: none !important;
    width: 75px;
    z-index: 7;
    margin-right: 5px;
    margin-left: 5px;
}

    .widget-minimap-shim-button.btn_satelliteMap {
        background-image: url('../../images/satellite_img.png');
    }

    .widget-minimap-shim-button.btn_roadMap {
        background-image: url('../../images/map_view.png');
    }

span.widget-minimap-caption {
    color: var(--color-TextBlack);
    position: relative;
    top: 23px;
    font-weight: normal !important;
    font-size: 12px;
}

    span.widget-minimap-caption.satellite_Txt {
        color: var(--color-TextOrgWhite);
    }

.Suggest-edit-footer {
    height: 99px;
    display: flex;
    justify-content: center;
    align-items: center;
    bottom: 0;
    width: 100%;
    text-align: center;
}

/*.input_block {
    latChangedByArun
    margin-bottom: 0;
    margin-right: 24px;
    width: 100%;
    text-align: start;
}*/

.SpanText {
    color: var(--color-TextPrimaryBlue);
    font-size: 15px;
    font-weight: 500;
}

.latlong .lng_blk {
    margin-right: 0;
}

.edit-footer-content {
    float: right;
    padding-bottom: 0px;
}

.footer-btn-create-user {
    height: 40px;
    background: var(--color-BgPrimaryBlue);
    border: 1px solid var(--color-BodPrimaryBlue);
    color: var(--color-TextOrgWhite);
    font-size: 18px;
    width: 140px;
    margin: 0;
    display: block !important;
    border-radius: 4px;
}

.over_Lay ~ .mapBox {
    height: 90%;
}

.mapBox .editcontent {
    height: calc(100% - 40px);
    max-height: unset;
}

.popup-common-content.srh_mapview_panel {
    height: calc(100% - 75px) !important;
}

.mapBox .Suggest-edit-footer {
    height: 75px;
    padding: 0px 25px;
    gap: 20px;
}

    .mapBox .Suggest-edit-footer .latlong {
        padding: 0;
        margin: 0;
        gap: 20px;
    }

        .mapBox .Suggest-edit-footer .latlong .input_block {
            margin: 0;
        }

@media (max-width:1500px) {
    .over_Lay ~ .mapBox {
        width: 90%;
    }

    .popup-common-content.srh_mapview_panel .gmap-location-container {
        margin: 0;
    }

    .mapBox .edit-footer-content {
        padding: 0;
    }
}

@media (max-width:1118px) {
    .mapBox .Suggest-edit-footer .latlong {
        flex-direction: row;
    }
}

@media (max-width:540px) {
    .mapBox .Suggest-edit-footer .latlong {
        flex-direction: column;
    }

    .mapBox .Suggest-edit-footer {
        flex-direction: column;
        height: auto;
        padding-top: 15px;
    }

    .popup-common-content.srh_mapview_panel {
        height: calc(100% - 220px) !important;
    }
}
/*To-Do By Arun Cumulative All Different Css Files in one css Files for Makani-LatLong Delete */
/*=========App/Companyreg_en.css====================*/

.licese_docx .docx_fld .permit_doc.permitdocument_block,
.licese_docx .makani_chooser,
.licese_docx .makani_blk,
.licese_docx .number_section {
    float: left;
    width: 100%;
}

.makani_blk.makani_cntn .makani_block div.input_block:first-child,
.makani_blk.makani_cntn .split_block.latlong div.input_block:first-child,
.licese_docx .split_block.locate_info .input_block {
    margin-right: 15px;
}

/*.makani-btns .footer_btns {
    ChangedByArun
    padding: 0px 20px;
    width: max-content;
}*/
.makani_block .footer_btns {
    padding: 0px 20px;
    width: 100%;
}
/*==============*/

.mrg_btm {
    margin-bottom: 0 !important;
}

.makani_blk.makani_cntn .latlong {
    padding-left: 0px;
}

.licese_docx .split_block.locate_info .input_block:last-of-type,
.licese_docx .makani_blk.makani_cntn .input_block.mrg_btm .split_block.latlong .input_block.lng_blk {
    margin-right: 0px;
}

/*===========WithoutLoginHeader.css======================*/

.makani_blk {
    width: 100%
}

    .makani_blk md-radio-group,
    .split_block {
        display: flex;
        width: 100%
    }

    .licese_docx .split_block.locate_info .input_block,
    .makani_blk.makani_cntn .makani_block div.input_block:first-child,
    .makani_blk.makani_cntn .split_block.latlong div.input_block:first-child {
        margin-right: 15px
    }

.makani_block .split_block .footer_btns {
    height: 56px
}

.latlong {
    padding-left: 45px;
    position: relative
}

/*===============App/LoadMap.css===============================*/

.input_block {
    margin-bottom: 0;
    margin-right: 24px;
    width: 100%;
    text-align: start;
}

/*================App/mail_no.css===========================*/

.input_block {
    height: 56px;
}

/*================commonStyle.css================*/

.latlong .input_block .customChanges {
    width: 100%;
}

.spanreason {
    color: var(--color-TextTextSecondaryCharcoleGray) !important;
}

/*=================App/store_field.css============*/

.inputField, .spanreason {
    transition: all 0.2s ease-in-out;
}

/*====================New/Individual Registration.css======*/

.makani_chooser .makani_content .radioField {
    accent-color: var(--color-TextPrimaryBlue) !important;
}

/*====================New/PersonAddEdit.css======*/

.makani_chooser .makani_content .radioField {
    box-sizing: border-box;
    cursor: pointer;
    display: inline-block;
    left: 0;
    position: relative;
    right: auto;
    top: 26%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    margin-right: 7px;
    accent-color: var(--color-TextRedErrorText);
}

.Nomakani_block .footer_btns.get_cord_btn {
    max-height: 56px;
}

.footer_btns.get_cord_btn[disabled] {
    cursor: not-allowed !important;
}

.Nomakani_block .footer_btns {
    max-height: 56px;
    display: flex;
    width: 100%;
    height: auto;
}

.licese_docx.basic_info .makani_block .split_block .footer_btns {
    width: auto;
    white-space: nowrap;
    padding: 0px 18px;
}

/*.input_block.footer_btns[disabled] {
    cursor: not-allowed !important;
}*/

.storage_det.storage_req .input_block {
    float: left;
    margin: 0px;
    margin-bottom: 16px;
    width: 100%;
}
